import { MockAdapter } from '../mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'

// 获取studio链接数据
mock.onGet('./assets/json/view-config.json').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status,{
                "eamassetstategridview": {
            "title": "资产状态信息",
            "caption": "资产状态",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Asset",
            "viewname": "EAMAssetStateGridView",
            "viewtag": "00fcbd6336b5d40a31a2c3d5c346d16c"
        },
        "eamassettreeexpview": {
            "title": "资产信息",
            "caption": "资产",
            "viewtype": "DETREEEXPVIEW",
            "viewmodule": "Asset",
            "viewname": "EAMAssetTreeExpView",
            "viewtag": "075e8b706da4cd2328cf2239fd6f4d06"
        },
        "eamlocationstateeditview": {
            "title": "功能位置状态信息",
            "caption": "功能位置状态",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationStateEditView",
            "viewtag": "0b6fa9e6ebc1f6d1afaf3c19585840b0"
        },
        "eamsparepartsgroupeditview": {
            "title": "备件包编辑视图",
            "caption": "备件包",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Asset",
            "viewname": "EAMSparePartsGroupEditView",
            "viewtag": "11699dae0b3815e39fbd72e14830f598"
        },
        "eamlocationtreeexpview": {
            "title": "功能位置信息",
            "caption": "功能位置",
            "viewtype": "DETREEEXPVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationTreeExpView",
            "viewtag": "135343573fd869053d84ecc2f48ffd49"
        },
        "eamassetstatemodellinegridview": {
            "title": "资产状态模型明细表格视图",
            "caption": "资产状态模型明细",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Asset",
            "viewname": "EAMAssetStateModelLineGridView",
            "viewtag": "15caf81deb1f02479030f14d90ce5c3e"
        },
        "eamlocationeditview": {
            "title": "功能位置信息",
            "caption": "功能位置",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationEditView",
            "viewtag": "1769804cd7ab51624ac3c88c2090363b"
        },
        "eamlocationtreechildgridview": {
            "title": "功能位置信息",
            "caption": "功能位置",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationTreeChildGridView",
            "viewtag": "21edc7e27023f06aac51f150f3fb1f10"
        },
        "eamassetstateeditview": {
            "title": "资产状态信息",
            "caption": "资产状态",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Asset",
            "viewname": "EAMAssetStateEditView",
            "viewtag": "251816f09cb8f040c9309992cf957370"
        },
        "eamassetpartsgrouppartsassetgridview": {
            "title": "备件包相关资产",
            "caption": "资产备件包",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Asset",
            "viewname": "EAMAssetPartsGroupPartsAssetGridView",
            "viewtag": "288c1be7c88b3547179327bd2e2d7a5a"
        },
        "eamlocationpickupview": {
            "title": "功能位置数据选择视图",
            "caption": "功能位置",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationPickupView",
            "viewtag": "2b28313d0f3925fa44b8683eb5ea54d6"
        },
        "eamassetstatemodelgridview": {
            "title": "资产状态模型信息",
            "caption": "资产状态模型",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Asset",
            "viewname": "EAMAssetStateModelGridView",
            "viewtag": "30027967566375f388f110149cf48b49"
        },
        "eamasseteditview": {
            "title": "资产信息编辑",
            "caption": "资产",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Asset",
            "viewname": "EAMAssetEditView",
            "viewtag": "3bac4846ece1082b8c3799d9a1fc7dde"
        },
        "eamlocationstatemodelpickupview": {
            "title": "功能位置状态模型数据选择视图",
            "caption": "功能位置状态模型",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationStateModelPickupView",
            "viewtag": "3d676a12800fca23bec463d5c5217413"
        },
        "eamlocationtypepickupview": {
            "title": "功能位置类型数据选择视图",
            "caption": "功能位置类型",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationTypePickupView",
            "viewtag": "4a5dd0204cc256862db03b36fc570e71"
        },
        "eamlocationtypegridview": {
            "title": "功能位置类型信息",
            "caption": "功能位置类型",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationTypeGridView",
            "viewtag": "4c95ec14aa2de5370d9d81f7d85f4bd5"
        },
        "eamassetsummaryview": {
            "title": "资产数据看板视图",
            "caption": "资产",
            "viewtype": "DEPORTALVIEW",
            "viewmodule": "Asset",
            "viewname": "EAMAssetSummaryView",
            "viewtag": "4db903dc10459c98d4834775020d8b74"
        },
        "eamassettypepickupgridview": {
            "title": "资产类型选择表格视图",
            "caption": "资产类型",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Asset",
            "viewname": "EAMAssetTypePickupGridView",
            "viewtag": "58b301299902245cdd7dfd5ae23545b4"
        },
        "eamapplystategridview": {
            "title": "维护申请状态表格视图",
            "caption": "维护申请状态",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Apply",
            "viewname": "EAMApplyStateGridView",
            "viewtag": "67367b30b36597f2b4f455b9738f4dd8"
        },
        "eamlocationtypepickupgridview": {
            "title": "功能位置类型选择表格视图",
            "caption": "功能位置类型",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationTypePickupGridView",
            "viewtag": "6a395ea52232233416d9c7120518863d"
        },
        "eamassetstatemodeleditview": {
            "title": "资产状态模型编辑视图",
            "caption": "资产状态模型",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Asset",
            "viewname": "EAMAssetStateModelEditView",
            "viewtag": "6c2c69027dbbe13ab8d2732923487f59"
        },
        "eamassetinfoview": {
            "title": "资产信息",
            "caption": "资产",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "Asset",
            "viewname": "EAMAssetInfoView",
            "viewtag": "6c816d46a07d56b2a9afca077d9bbfc3"
        },
        "eamsparepartsproeditview": {
            "title": "备件包物料编辑视图",
            "caption": "备件包物料",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Asset",
            "viewname": "EAMSparePartsPROEditView",
            "viewtag": "720d2effd5c5d4802fb833e4506e6153"
        },
        "eamsparepartspropartsprogridview": {
            "title": "备件包下物料",
            "caption": "备件包物料",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Asset",
            "viewname": "EAMSparePartsPROPartsProGridView",
            "viewtag": "7288de876c6d32c0bef31803e540ccbd"
        },
        "eamassettypepickupview": {
            "title": "资产类型数据选择视图",
            "caption": "资产类型",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Asset",
            "viewname": "EAMAssetTypePickupView",
            "viewtag": "72c39b4fb4834276ae3933be232a2c90"
        },
        "eamlocationstatemodeleditview": {
            "title": "功能位置状态模型信息",
            "caption": "功能位置状态模型",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationStateModelEditView",
            "viewtag": "7bf1327f579d782d5cdb98528999a5e0"
        },
        "eamassetpartsgroupeditview": {
            "title": "资产备件包编辑视图",
            "caption": "资产备件包",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Asset",
            "viewname": "EAMAssetPartsGroupEditView",
            "viewtag": "7d805e7ef99d4689b7b68c2c6247dceb"
        },
        "eamsparepartsgrouppickupview": {
            "title": "备件包数据选择视图",
            "caption": "备件包",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Asset",
            "viewname": "EAMSparePartsGroupPickupView",
            "viewtag": "81139a9fb0fce24a58db188651ba7155"
        },
        "eamassetpickupview": {
            "title": "资产数据选择视图",
            "caption": "资产",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Asset",
            "viewname": "EAMAssetPickupView",
            "viewtag": "906130a9861c2b0cff3173c9e171c1d1"
        },
        "eamsparepartsgroupinfoview": {
            "title": "备件包信息",
            "caption": "备件包",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "Asset",
            "viewname": "EAMSparePartsGroupInfoView",
            "viewtag": "9d4bfdacbd01e6a5072e50c5ecb24e70"
        },
        "eamsparepartsgroupinfo_mainview": {
            "title": "备件包信息",
            "caption": "备件包",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Asset",
            "viewname": "EAMSparePartsGroupInfo_MainView",
            "viewtag": "9e6a4acf7233f5e1643cbbc7509480b6"
        },
        "eamlocationstatemodelgridview": {
            "title": "功能位置状态模型信息",
            "caption": "功能位置状态模型",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationStateModelGridView",
            "viewtag": "9e9b3600ba892d31757bacef1dcc9458"
        },
        "eamproductpickupgridview": {
            "title": "产品选择表格视图",
            "caption": "产品",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Asset",
            "viewname": "EAMPRODUCTPickupGridView",
            "viewtag": "a0c0a1e17b2f207a526c5e4240267b11"
        },
        "eamlocationstatelistexpview": {
            "title": "功能位置状态信息",
            "caption": "功能位置状态",
            "viewtype": "DELISTEXPVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationStateListExpView",
            "viewtag": "a3d6a9a21765dd59afa2d3d20a99096c"
        },
        "eamlocationinfo_mainview": {
            "title": "功能位置编辑视图",
            "caption": "功能位置",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationInfo_MainView",
            "viewtag": "a82c591e524f7289432a30a5ccfa8908"
        },
        "eamlocationstatepickupview": {
            "title": "功能位置状态数据选择视图",
            "caption": "功能位置状态",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationStatePickupView",
            "viewtag": "a9f7eb2645c6505a232a0a13742c42a7"
        },
        "eamassetstatemodelpickupgridview": {
            "title": "资产状态模型选择表格视图",
            "caption": "资产状态模型",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Asset",
            "viewname": "EAMAssetStateModelPickupGridView",
            "viewtag": "a9f86b6e01c06082f119369de0ee8f01"
        },
        "eamassetstatemodellineeditview": {
            "title": "资产状态模型明细编辑视图",
            "caption": "资产状态模型明细",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Asset",
            "viewname": "EAMAssetStateModelLineEditView",
            "viewtag": "ad2a01fb2fd055e63d60260a18136d61"
        },
        "eamassetstatepickupgridview": {
            "title": "资产状态选择表格视图",
            "caption": "资产状态",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Asset",
            "viewname": "EAMAssetStatePickupGridView",
            "viewtag": "aec3c3b9b959ac67bf41fe45cca7808b"
        },
        "eamassetinfo_mainview": {
            "title": "资产信息",
            "caption": "资产",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Asset",
            "viewname": "EAMAssetInfo_MainView",
            "viewtag": "afb13d98ae97ebb876598388432f8c1d"
        },
        "eamlocationchildgridview": {
            "title": "功能位置表格视图",
            "caption": "功能位置",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationChildGridView",
            "viewtag": "b24fce391aeca43222a1017b50ba40e2"
        },
        "eamlocationstatemodellineeditview": {
            "title": "功能位置状态模型明细编辑视图",
            "caption": "功能位置状态模型明细",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationStateModelLineEditView",
            "viewtag": "b3d85711a6feb998249451ba167895d2"
        },
        "eamassettypegridview": {
            "title": "资产类型信息",
            "caption": "资产类型",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Asset",
            "viewname": "EAMAssetTypeGridView",
            "viewtag": "b4c8e0e90e3940abee6c5f4909fd0e00"
        },
        "eamlocationstatepickupgridview": {
            "title": "功能位置状态信息",
            "caption": "功能位置状态",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationStatePickupGridView",
            "viewtag": "b56347aaab650c59a8338876600c21e4"
        },
        "eamsparepartsgroupgridview": {
            "title": "备件包信息",
            "caption": "备件包",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Asset",
            "viewname": "EAMSparePartsGroupGridView",
            "viewtag": "b97ed65fd88f536ebb13419938b19e2d"
        },
        "eamlocationstatemodelpickupgridview": {
            "title": "功能位置状态模型选择表格视图",
            "caption": "功能位置状态模型",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationStateModelPickupGridView",
            "viewtag": "bb8b4b03a77ed63b8eb4ef3d62b669a6"
        },
        "eamassetquickcreateview": {
            "title": "资产快速新建视图",
            "caption": "资产",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Asset",
            "viewname": "EAMAssetQuickCreateView",
            "viewtag": "bcdc34d8df9323426a402ba7b111fef2"
        },
        "eamassetlocationassetgridview": {
            "title": "资产信息",
            "caption": "资产",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Asset",
            "viewname": "EAMAssetLocationAssetGridView",
            "viewtag": "c6a93309b2a9d12617cdbaf29731d2a4"
        },
        "eamassetchildgridview": {
            "title": "资产表格视图",
            "caption": "资产",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Asset",
            "viewname": "EAMAssetChildGridView",
            "viewtag": "c8bf8b682adc459f7f285328199ba4b4"
        },
        "eamlocationsummaryview": {
            "title": "功能位置数据看板视图",
            "caption": "功能位置",
            "viewtype": "DEPORTALVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationSummaryView",
            "viewtag": "cc29cbcb0398aa069d4b05f3469f0377"
        },
        "eamsparepartsgroupdashboardview": {
            "title": "备件包数据看板视图",
            "caption": "备件包",
            "viewtype": "DEPORTALVIEW",
            "viewmodule": "Asset",
            "viewname": "EAMSparePartsGroupDashboardView",
            "viewtag": "d12c50a13617e683c9ee4efee5f46906"
        },
        "eamassettypeeditview": {
            "title": "资产类型信息",
            "caption": "资产类型",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Asset",
            "viewname": "EAMAssetTypeEditView",
            "viewtag": "d1b8ecb4e8fc6808282289a1ee763fb8"
        },
        "eamlocationinfoview": {
            "title": "功能位置信息",
            "caption": "功能位置",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationInfoView",
            "viewtag": "d3466c5c60a573062d543896976bf68c"
        },
        "appindexview": {
            "title": "应用首页视图",
            "caption": "资产管理",
            "viewtype": "APPINDEXVIEW",
            "viewmodule": "Base",
            "viewname": "AppIndexView",
            "viewtag": "D44132B9-5261-4008-A146-6287A80D5D31"
        },
        "eamassetstatemodelpickupview": {
            "title": "资产状态模型数据选择视图",
            "caption": "资产状态模型",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Asset",
            "viewname": "EAMAssetStateModelPickupView",
            "viewtag": "d69c20799b79d71f84ed52f036b3490c"
        },
        "eamproductpickupview": {
            "title": "产品数据选择视图",
            "caption": "产品",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Asset",
            "viewname": "EAMPRODUCTPickupView",
            "viewtag": "d768b752c0404797713700991cbf95c5"
        },
        "eamlocationtypeeditview": {
            "title": "功能位置类型信息",
            "caption": "功能位置类型",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationTypeEditView",
            "viewtag": "dd09755644dcf1e57c062b4e08e4ce3a"
        },
        "eamassetstatepickupview": {
            "title": "资产状态数据选择视图",
            "caption": "资产状态",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Asset",
            "viewname": "EAMAssetStatePickupView",
            "viewtag": "ddfe97780b64a25b28b14a283fa27a61"
        },
        "eamapplystateeditview": {
            "title": "维护申请状态编辑视图",
            "caption": "维护申请状态",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Apply",
            "viewname": "EAMApplyStateEditView",
            "viewtag": "e3f067b2352dbb274918bccb115ebcde"
        },
        "eamsparepartsgrouppickupgridview": {
            "title": "备件包选择表格视图",
            "caption": "备件包",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Asset",
            "viewname": "EAMSparePartsGroupPickupGridView",
            "viewtag": "ebf6c093d1d6c599cc011b2c54ab6bc2"
        },
        "eamlocationstatemodellinegridview": {
            "title": "功能位置状态模型明细表格视图",
            "caption": "功能位置状态模型明细",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationStateModelLineGridView",
            "viewtag": "ecd1ec6299b5b24e2004fa15c4eef92d"
        },
        "eamlocationgridview": {
            "title": "功能位置信息",
            "caption": "功能位置",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationGridView",
            "viewtag": "eee617336f6dc6e5e97835d6309fd452"
        },
        "eamlocationpickupgridview": {
            "title": "功能位置选择表格视图",
            "caption": "功能位置",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationPickupGridView",
            "viewtag": "f572d337efac74735bf54b199e054081"
        },
        "eamlocationstategridview": {
            "title": "功能位置状态信息",
            "caption": "功能位置状态",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationStateGridView",
            "viewtag": "f7c04762f2a3e3026c909e6191a0998f"
        },
        "eamassetpickupgridview": {
            "title": "资产选择表格视图",
            "caption": "资产",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Asset",
            "viewname": "EAMAssetPickupGridView",
            "viewtag": "fc2bbe178f6e4ee12ebeb45875b7f87c"
        },
        "eamassetgridview": {
            "title": "资产信息",
            "caption": "资产",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Asset",
            "viewname": "EAMAssetGridView",
            "viewtag": "fc4b884f4116e498cafad375e0b6cb7d"
        }
    }];
});